Bug 820649 - New install of REHV-M will leave Admin Portal without access.
New install of REHV-M will leave Admin Portal without access.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RHEVM WPF Admin GUI (Show other bugs)
3.0.3
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Einav Cohen
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 11:11 EDT by Bill Sanford
Modified: 2016-04-18 03:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 08:20:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2012-05-10 11:11:05 EDT
Description of problem:
I have a RHEV-M server that I have assigned a static dhcp address. The IE browser knows about rhevm.spice.lab.eng.bos.redhat.com from a previos installation. I then install a new RHEV-M server with the same FQDN. The browser then goes back to the RHEV-M home page, and I launch the Administrator Portal, using SSL. I then get this error when I click "More information":

Startup URI: https://rhevm.spice.lab.eng.bos.redhat.com:8443/RHEVManager/WPFClient.xbap
Application Identity: 

Security certificate required to access this resource is invalid.

If the original cerificate that worked is not copied to the new install of RHEV-M, IE will get in the state where you cannot access the Admin Portal.

I deleted all of the certificates in IE, to no avail. I then took the URL of the FQDN out of the trusted sites of the browser, and this let me install the new certificates from the new install of RHEV-M.

Version-Release number of selected component (if applicable):
ic155.2

How reproducible:
100%

Steps to Reproduce:
1. Install new RHEV-M server with same FQDN used in previous install.
2. Use same web browser to access new RHEV-M install.
3.
  
Actual results:
Web browser errors using current security certificate.

Expected results:


Additional info:
Comment 1 Itamar Heim 2012-05-10 11:42:14 EDT
are you sure you deleted the trusted root certificate of the previous rhev-m?
Comment 2 Itamar Heim 2012-05-16 08:20:47 EDT
other than need to resolve your environment issue, closing wontfix since we are dropping wpf and all of these issues in 3.1

Note You need to log in before you can comment on or make changes to this bug.